import React from 'react';
import { Link } from 'react-router-dom';
import { Card, Row, Col, Icon, Button,message,Breadcrumb,Layout } from 'antd';
import { domain } from '../fetch/_';

export default class ActivitiImg extends React.Component {

  render() {
    return (
      <Layout className="h-100 page-table">
        <Row>
          <Breadcrumb className="breadcrumb-style">
            <Breadcrumb.Item>工作流管理</Breadcrumb.Item>
            <Breadcrumb.Item>流程部署管理</Breadcrumb.Item>
            <Breadcrumb.Item>流程图</Breadcrumb.Item>
          </Breadcrumb>
        </Row>
        <Card style={{border:20, margin:20, padding:20}}>
        <Row>
        <Row style={{borderStyle:'solid', borderWidth:0.01}}>
          <span style={{fontSize:25}}>流程图</span>
          <div style={{float:'right'}}>
          <Link to="/activitiManage/deploy"><Button type="default">返回</Button></Link>
          </div>
        </Row>
        </Row>
          <img src={ domain+"api/workflow/image?processDefinitionId=" + this.props.location.state.id }
                                style={{  border: "1px solid #999" }}/>
        </Card>
      </Layout>
    )
  }
}
